GWYDDION(1)

NAME
gwyddion - SPM data visualization and analysis

SYNOPSIS

gwyddion [OPTION...] [FILE...]

DESCRIPTION

Gwyddion is a graphical SPM (Scanning Probe Microscope) data visualization and analysis program, using Gtk+.

OPTIONS

The program accepts all standard Gtk+, Gdk, and GtkGLExt options like --display or --sync. Please see documentation of these packages for description of toolkit options.

The behaviour of the remote control options --remote-* is undefined when more than one instance of Gwyddion is running on the display. They can choose an arbitrary instance to communicate to. The last remote control option given (including --new-instance) overrides all preceding ones.

If a directory is given as FILE argument the program opens a file chooser in this directory.

Gwyddion options:

--help
    Prints a brief help and terminates.

--version
    Prints version information and terminates.

--no-splash
    Disables splash screen on program startup.

--remote-new
    Opens files given on the command line in an already running instance of Gwyddion on the display. Runs a new instance if none is running.

    This is probably the most useful remote control option. File type associations are usually installed to run Gwyddion with this option.

--remote-existing
    Opens files given on the command line in an already running instance of Gwyddion on the display. Fails if none is running.

    This is useful if you want to handle the case of Gwyddion not running differently than by starting it.

--remote-query
    Succeeds if an instance of Gwyddion is already running on the display and prints its instance identifier. Fails if none is running.

    The instance identifier depends on the remote control backend in use. In some cases it is useful as a global window identifier, in some it is not. With libXmu this option prints the X11 Window, on Win32 HWND is printed, while with LibUnique the startup id is printed.

--new-instance
    Runs a new instance of Gwyddion. It can also used to override preceding remote control options and to ensure a new instance is run when the default remote control behaviour is modified.

--identify
    Instead of running the user interface and opening FILEs, it detects the file type for each and terminates.

    The SPM file type printed corresponds to the description shown in the list of supported file formats in the user guide. The file type is followed (in square brackets) by the name of Gwyddion file import module that would be used to load the file and detection score. Scores considerably lower than 100 mean that although the detection produced a possible file type, it is unsure about it.

    If the file type is not recognised at all, Unknown is printed as the file type. The program exit code is 1 if any FILE was not recognised.

--check
    Instead of running the user interface and opening FILEs, it loads the files, performs a sanity check on them (printing errors to standard error output) and terminates.

--disable-gl
    Disables OpenGL entirely, including any checks whether it is available. This option, of course, has any effect only if Gwyddion was built with OpenGL support and one of the most visible effects is that 3D view becomes unavailable. However, you may find it useful if you encounter a system so broken that even checking for OpenGL capabilities leads to X server errors. It can also help when you run Gwyddion remotely using X11 forwarding and the start-up time seems excessively long.

--log-to-file
    Write messages from GLib, Gtk+, Gwyddion, etc. to ~/.gwyddion/gwyddion.log or file given in GWYDDION_LOGFILE environment variable. This option is most useful on Unix as on Win32 messages are redirected to a file by default. Logging to a file and console are not exclusive; messages can go to both.

--no-log-to-file
    Prevents writing messages from GLib, Gtk+, Gwyddion, etc. to a file. This is most useful on Win32 where messages are written to a file by default.

--log-to-console
    Print messages from GLib, Gtk+, Gwyddion, etc. to the console. More precisely, debugging messages are printed to the standard output, errors and warnings to the standard error. On Unix messages are printed to the console by default. Logging to a file and console are not exclusive; messages can go to both.

--no-log-to-file
    Disables printing messages to the console. This is most useful on Unix where messages are printed to the console by default.

--disable-modules=MODULE,...
    Prevents the registration modules of given names. This is mostly useful for development and debugging. For instance, you might want to use --disable-modules=pygwy when running under Valgrind for faster startup (and possibly to avoid extra errors).

--startup-time
    Prints wall-clock time taken by various startup (and shutdown) tasks. Useful only for developers and people going to complain about too slow startup.

ENVIRONMENT

On Linux/Unix, following environment variables can be used to override compiled-in installation paths (MS Windows version always looks to directories relative to path where it was installed). Note they are intended to override system installation paths therefore they are not path lists, they can contain only a single path.

GWYDDION_DATADIR
    Base data directory where resources (color gradients, OpenGL materials, ...) were installed. Gwyddion looks into its gwyddion subdirectory for resources.

    When it is unset, it defaults to compiled-in value of ${datadir} which is usually /usr/local/share.

GWYDDION_LIBDIR
    Base library directory where modules were installed. Gwyddion looks into its gwyddion/modules subdirectory for modules.

    When it is unset, it defaults to compiled-in value of ${libdir} which is usually /usr/local/lib or /usr/local/lib64.

GWYDDION_LIBEXECDIR
    Base lib-exec directory where plug-ins were installed. Gwyddion looks into its gwyddion/plugins subdirectory for plug-ins.

    When it is unset, it defaults to compiled-in value of ${libexecdir} which is usually /usr/local/libexec.

GWYDDION_LOCALEDIR
    Locale data directory where message catalogs (translations) were installed.

    When it is unset, it defaults to compiled-in value of ${datadir}/locale which is usually /usr/local/share/locale.

Other variables that influence Gwyddion run-time behaviour include GLib+ variables[1] and Gtk+ variables[2] and some Gwyddion-specific variables:

GWYDDION_LOGFILE
    Name of file to redirect log messages to. On MS Windows, messages are always sent to a file as working with the terminal is cumbersome there. The default log file location, gwyddion.log in user's Documents and Settings, can be overridden with GWYDDION_LOGFILE. On Unix, messages go to the terminal by default and this environment variable has effect only if --log-to-file is given.

If Gwyddion is built with OpenMP support, it utilizes parallelization (not all data processing methods implement parallelization, but a sizable part does). OpenMP environment variables such as OMP_NUM_THREADS can be used to tune it.

FILES

~/.gwyddion/settings
    Saved user settings and tool states. Do not edit while Gwyddion is running, it will overwrite it at exit.

~/.gwyddion/glmaterials, ~/.gwyddion/gradients, ...
    User directories with various resources (OpenGL materials, color gradients, ...).

$GWYDDION_DATADIR/gwyddion/glmaterials, $GWYDDION_DATADIR/gwyddion/gradients ...
    The same for system-wide resources.

~/.gwyddion/pixmaps
    Directory to place user icons to. This is mainly useful for installation of modules to home.

$GWYDDION_DATADIR/gwyddion/pixmaps,
    The same for system-wide icons.

~/.gwyddion/modules
    Directory to place user modules to. They should be placed into file, graph, process, volume, xyz, cmap, and tools subdirectories according to their kind, though this is more a convention than anything else.

$GWYDDION_LIBDIR/gwyddion/modules,
    The same for system-wide modules.

~/.gwyddion/plugins
    Directory to place user plug-ins to. They should be placed into file and process subdirectories according to their kind.

$GWYDDION_LIBEXECDIR/gwyddion/plugins,
    The same for system-wide plug-ins.

~/.gwyddion/pygwy
    Directory to place user python modules or scripts to.

SEE ALSO

gwyddion-thumbnailer(1), gxsm(1)

AUTHOR

Yeti
    Author.

NOTES

1.  GLib+ variables
    http://library.gnome.org/devel/glib/stable/glib-running.html

2.  Gtk+ variables
    http://library.gnome.org/devel/gtk/stable/gtk-running.html